# Set your working directory.

# Load the packages you need.
# If there's a package below that you don't have, you will need to install it first:
# Tools > Install Packages ... (then request the missing packages).

library(ggplot2)

# Define some general properties of the graphs you wish to produce.
# This is a 'theme' for your graphs.
# Here the theme is named 'Theme'; it defines font sizes.
# You may wish to ajust this for your screen.

Theme <- theme(axis.title.x = element_text(size=16), 
               axis.text.x  = element_text(size=16), 
               axis.title.y = element_text(size=16), 
               axis.text.y  = element_text(size=16), 
               plot.title = element_text(size = 22),
               strip.text = element_text(size = 16))

# Read in the data. 
# In this script, the file is called MYDATA.  Replace this with the name of the file you wish to use.

load("MYDATA.Rdata")

# You can look at the data by clicking on the file name in the 
# Global Environment pane on the right.


###################################
# MEANS BY ONE CATEGORICAL VARIABLE
###################################

# In the code, you will need to edit MYDATA, NUMERICAL_VARIABLE, CATEGORICAL_VARIABLE and so on!

ggplot(MYDATA, (aes(y=NUMERICAL_VARIABLE, x=CATEGORICAL_VARIABLE))) +
  stat_summary(fun.y = mean,geom = "line") +
  ylab("Mean NUMERICAL VARIABLE") +
  Theme



####################################
# MEANS BY TWO CATEGORICAL VARIABLES
####################################

ggplot(MYDATA, (aes(y=NUMERICAL_VARIABLE, x=CATEGORICAL_VARIABLE1, colour = CATEGORICAL_VARIABLE2, group = CATEGORICAL_VARIABLE2))) +
  stat_summary(fun.y = mean,geom = "line") +
  ylab("Mean NUMERICAL VARIABLE") +
  labs(colour="CATEGORICAL_VARIABLE2") +
  Theme



######################################
# MEANS BY MORE CATEGORICAL VARIABLES
######################################

ggplot(MYDATA, (aes(y=NUMERICAL_VARIABLE, x=CATEGORICAL_VARIABLE1, colour = CATEGORICAL_VARIABLE2, group = CATEGORICAL_VARIABLE2))) +
  stat_summary(fun.y = mean,geom = "line") +
  ylab("Mean NUMERICAL VARIABLE") +
  labs(colour="CATEGORICAL_VARIABLE2") +
  facet_wrap(CATEGORICAL_VARIABLE3 ~ CATEGORICAL_VARIABLE4) +
  Theme

# You can also try facet_grid
