# Set your working directory.

# Load the packages you need.
# If there's a package below that you don't have, you will need to install it first:
# Tools > Install Packages ... (then request the missing packages).

library(psych)
library(readxl)
library(tidyverse)

# Read in the data.
# In this script, the file is called MYDATA.RData.  Replace this with the name of the file you wish to use.

MYDATA <- read_xlsx("test.xlsx")
MYDATA$Group <- as.factor(MYDATA$Group)

# In all of the code below, you will need to replace MYDATA with the name of your data frame.
# You will need to use the appropriate variable names.

################################################
# PEARSON CORRELATION WITH STATISTICAL INFERENCE
################################################
#This code can be used for a pair of variables.

cor.test(~NUMERICAL_VARIABLE1 + NUMERICAL_VARIABLE2, MYDATA)

############################################################
# PEARSON CORRELATION WITH STATISTICAL INFERENCE FOR A GROUP
############################################################
# This code can be used to find the correlation for a group in the data frame.
# The grouping variable must be a factor.

cor.test(~NUMERICAL_VARIABLE1 + NUMERICAL_VARIABLE2, MYDATA, Group == "A")

####################################################
# PEARSON CORRELATION: MANY VARIABLES, ALL NUMERICAL
####################################################
#This code can be used if you have all numerical variables in your data frame.

# First create the object to store the results; here it is named "pearsonr".
pearsonr <- corr.test(newdata, adjust = "none")

# Print out correlations and P-values
pearsonr

# Print out confidence intervals
print(pearsonr, short = FALSE)

####################################################
# PEARSON CORRELATION: MANY VARIABLES, SOME NUMERICAL
####################################################
# A new data frame with only the numerical variables included can be created.
# In the example below, columns 1,2, 4 and 5 are selected.
# The new data frame "newdata" can be used as above.
newdata <- MYDATA[c(1,2,4,5)]
