# Set your working directory.

# Load the packages you need.
# If there's a package below that you don't have, you will need to install it first:
# Tools > Install Packages ... (then request the missing packages).

library(summarytools)
library(signmedian.test)

# Read in the data.
# In this script, the file is called MYDATA.RData.  Replace this with the name of the file you wish to use.

load("MYDATA.Rdata")

# In all of the code below, you will need to replace MYDATA with the name of your data frame.
# You will need to use the appropriate variable names.


############
# SIGN TEST
############

# Start with an appropriate plot (choose one)

# The sign test operates on a difference, and tests whether the central location (median, mean)
# of the differences is equal to zero.

# If the differences are not stored, they need to be computed first.

# The output of the sign test function is not very friendly.

# It can be useful to obtain the sign of the differences first, if this is not explicitly
# in the data set.

Signs <- sign(MYDATA$DIFFERENCE_VARIABLE)
freq(Signs)
signmedian.test(Signs)



###########################
# WILCOXON SIGNED RANK TEST
###########################

# Appropriate graphs are based on the difference scores.

# The statistical inference can be carried out if the paired data are in 
# two separate columns, using the following code.  Note the similarity with the paired t test.

wilcox.test(MYDATA$NUMERICAL_VARIABLE1, MYDATA$NUMERICAL_VARIABLE_2, paired = T, conf.int=T)


