# Set your working directory.

# Load the packages you need.
# If there's a package below that you don't have, you will need to install it first:
# Tools > Install Packages ... (then request the missing packages).

library(samplingbook)

# For determining sampling sizes using confidence interval precision you don't read in a data file.

##############################################
# SAMPLE SIZE FOR ESTIMATING A POPULATION MEAN
##############################################

sample.size.mean(e, S, N = Inf, level = 0.95)

# e	= half width of confidence interval = required margin of error = "precision" in the output
# S	= assumed population standard deviation in population
# N	= population size. Default is N=Inf; effectively an infinite population
# level = confidence coefficient; default = 0.95

# Example:
sample.size.mean(e = 0.5, S = 6)

####################################################
# SAMPLE SIZE FOR ESTIMATING A POPULATION PROPORTION
####################################################

sample.size.prop(e, P = 0.5, N = Inf, level = 0.95)

# e	= half width of confidence interval = required margin of error on the proportion scale = "precision" in the output
# P	= assumed population proportion, default is P = 0.5
# N	= population size. Default is N=Inf; effectively an infinite population
# level = confidence coefficient; default = 0.95

# Examples:
sample.size.prop(e = 0.02)
sample.size.prop(e = 0.02, P = 0.3)

# The value of P should be either:
#   P = 0.5 (default, worst case, when you have no idea what P may be), OR
#   The value of P that is closest to 0.5, of the values you're prepared to consider.


