# Set your working directory.

# Load the packages you need.
# If there's a package below that you don't have, you will need to install it first:
# Tools > Install Packages ... (then request the missing packages).

library(ggplot2)
library(tidyverse)

# Read in the data.
# In this script, the file is called MYDATA.RData.  Replace this with the name of the file you wish to use.

load("MYDATA.Rdata")

# In all of the code below, you will need to replace MYDATA with the name of your data frame.
# You will need to use the appropriate variable names.

#####################
# REGRESSION ANALYSES
#####################

# Plot the data; this is for one explanatory variable

ggplot(MYDATA, aes(x=NUMERICAL_EXPLANATORY, y=NUMERICAL_RESPONSE)) + geom_point() + geom_smooth(method=lm, se=FALSE)

#  Fit a simple linear regression
summary(MY.MODEL1 <- lm(NUMERICAL_RESPONSE ~ NUMERICAL_EXPLANATORY, data=MYDATA))

#  Get the estimated coefficients

coefficients(MY.MODEL)

# Obtain the confidence intervals

confint(My.MODEL)

# Check the assumptions of the model
plot(MY.MODEL1)

# Obtain predicted values 
predict.lm(MY.MODEL1)

# To obtain predictions for values not in the data:

newdata1 <- data.frame(NUMERICAL_EXPLANATORY = newvalue)
predict.lm(MY.MODEL1, newdata1)

# Fits and confidence intervals for fitted values

predict.lm(MY.MODEL1, newdata1, interval="confidence")

# Fits and prediction intervals
predict.lm(MY.MODEL1, , newdata1, interval = "prediction")


# Multiple linear regression

MY.MODEL2 <- lm(NUMERICAL_RESPONSE ~ NUMERICAL_EXPLANATORY1 + NUMERICAL_EXPLANATORY2 + ..., data=MYDATA)
summary(MY.MODEL2)

# Check the assumptions of the model
plot(MY.MODEL2)

